;/*
;** commitfi.asm
;** contains: commitfi()
;*/

COMMITFILEFUNC	equ	068h			;DOS: Commit file function #
DOSCALL 	equ	021h			;DOS: Software Interrupt #

		include model.h
		include prologue.h

		pseg	pcommitfi

;/*
;**  int
;** commitfi(int handle)
;**
;** ARGUMENT(s)
;**	handle		-		File handle for file to commit
;**
;** DESCRIPTION
;**  This function causes all buffered data for a file to be written
;**  to the device.  This function can be used instead of the close
;**  open sequence.  This is a DOS 3.30 (and up) function.
;**
;** RETURNS
;**  0 if successful, else DOS error code
;**
;** AUTHOR
;**  ""   Wed 16-Nov-1988	10:45:34
;**   Copyright (C)1988-1990 Greenleaf Software Inc. All Rights Reserved.
;**
;** MODIFICATIONS
;**
;*/
		cproc	commitfi
		mov	ah,COMMITFILEFUNC
		mov	bx,parm1_
		int	DOSCALL
		jc	commitexit		;return error
		xor	ax,ax			;clear error
commitexit:
		cproce

		endps
		end
