/*
 * copytime.c
 * contains: copytime()
 *
 */

#include <stdio.h>
#include <string.h>
#include "gfuncts.h"

/*
 *  void
 * copytime(to,from)
 *
 * ARGUMENT
 *  (struct TIMEDATE *)	to	-	points to destination
 *  (struct TIMEDATE *)	from	-	points to source
 *
 * DESCRIPTION
 *  This function copies one instance of a TIMEDATE structure variable
 *  to another.
 *
 * AUTHOR
 *   Copyright (C)1987-1990 Greenleaf Software Inc. All Rights Reserved.
 */
void GF_CONV copytime(to,from)
struct TIMEDATE *to,*from;
{

	to->year=from->year;
	to->month= from->month;
	to->day=from->day;
	to->hours=from->hours;
	to->minutes=from->minutes;
	to->seconds=from->seconds;
	to->hsecs= from->hsecs;
	strcpy(to->dateline,from->dateline);
}
