		page	58,132

; egets.asm
; contains: egets()
;

		include	model.h
		include	prologue.h
		name	egets
		pseg	egets

;==>--	void egets(string)
;
;;	ARGUMENTS:
;	  (char *)	string		-	destination string
;
;;	DESCRIPTION:
;	  Use DOS function 0x0a to input an edited string.  Set the first
;	  byte to 135, the string length maximum, and the second byte to
;	  0 (it will later contain the number of characters).  Move the
;	  string to be a standard C string.
;
;;	AUTHOR:
;	  Copyright (C)1987-1990 Greenleaf Software Inc. All Rights Reserved.
;;;
	cproc	egets
	if	_LDATA
	 push	ds
	 lds	si,dword ptr parm1_  ; offset to string area
	else
	 mov	si,parm1_	; get offset to string area
	endif
	mov	al,135		; string length max.
	mov	[si],al
	mov	al,0		; zero second byte
	mov	[si+1],al
	mov	dx,si		; string offset to DX for interrupt
	mov	ah,10		; function 0A hex
	int	21h		; do it !
;Following the interrupt, the second byte will contain the number of
;bytes loaded by the interrupt procedure.
	push	es
	mov	ax,ds
	mov	es,ax		; must use ES in move
	mov	cl,1[si]	; count 
	mov	ch,0
	mov	di,si		; point di at start of output string
	mov	ax,di
	add	ax,cx
	push	ax		; save ptr to out[last+1] for later
	inc	si
	inc	si		; point source reg at start of char string
	cld			; make sure direction is forward
	rep	movsb
	pop	si		; get ptr to out[last+1]
	mov	al,0		; terminator for string
	mov	[si],al
	pop	es
	if	_LDATA
	 pop	ds
	endif
	cproce
	endps
	end
