/*
 * fatwrtf.c
 * contains: fatwrtf()
 *
 */

#include <stdio.h>
#include "gfuncts.h"


/*
 *  void
 * fatwrtf(int row,int col,char *fmt,?arg)
 *
 * ARGUMENT
 *  row		-	row or y position for text
 *  col		-	column or x position for text
 *  fmt		-	format string
 *  arg		-	variable argument list
 *
 * DESCRIPTION
 *  Write formated at specified cursor, no attributes
 *
 * RETURNS
 *  void
 *
 * AUTHOR
 *  ""   20-DEC-1988  09:30:07.37
 *   Copyright (C)1988-1990 Greenleaf Software Inc. All Rights Reserved.
 *
 * MODIFICATIONS
 *
 *
 */

#ifndef	_MSC
void GF_CDECL  fatwrtf(row,col,fmt)
#else
void GF_CDECL fatwrtf(row,col,fmt,...)
#endif
char *fmt;
int row,col;
{
	char **value;
	value=&fmt;
	sprintf(_gfspbuf,fmt,
		value[1],value[2],value[3],value[4],value[5],value[6],
		value[7],value[8],value[9],value[10]
#ifndef _LDATA
		,value[11],value[12],value[13],value[14],value[15],value[16],
		value[17],value[18],value[19],value[20]
#endif
	);
	fatwstr(row,col,_gfspbuf);
}

