/*
 * fjatwrts.c
 * contains: fjatwrts()
 *
 */

#include <stdio.h>
#include "gfuncts.h"


/*
 *  void
 * fjatwrts(int row,int col,int cols,char *string)
 *
 * ARGUMENT
 *  row 	-	Starting row for output.
 *  col 	-	Starting column for output.
 *  cols	-	Number of columns to center on.
 *  string	-	String to be centered.
 *
 * DESCRIPTION
 *  The string is justified on a width which is the lesser of "cols" or the
 *  global variable gmaxcol on the current row.
 *
 * RETURNS
 *  void
 *
 * AUTHOR
 *  ""   20-DEC-1988  10:17:59.92
 *   Copyright (C)1988-1990 Greenleaf Software Inc. All Rights Reserved.
 *
 * MODIFICATIONS
 *
 *
 */
void GF_CONV fjatwrts(row,col,cols,string)
int row,col,cols;
char *string;
{
	if(justify(_gfspbuf,string,cols))
		fatwstr(row,col,_gfspbuf);
}
