		page	58,132
;
; machine.asm
; contains: machine()
;
;
		include	model.h
		include	prologue.h
		name	machine
		pseg	machine

;==>--	unsigned machine(void)
;
;;	DESCRIPTION:
;	  Read and return the machine type byte at FFFF:E as documented
;	  in the IBM Personal Computer AT Technical Reference Manual.
;
;;	RETURNS:
;
;	  0x00ff  =	IBM Personal Computer
;	  0x00fe  =	IBM Personal Computer XT
;	  0x00fd  =	IBM PC/jr
;	  0x00fc  =	IBM Personal Computer AT
;
;;	AUTHOR:
;	 ""
;	  Copyright (C)1987-1990 Greenleaf Software Inc. All Rights Reserved.
;;;
	cproc	machine
	push	ds
	push	bx
	mov	bx,0ffffh
	mov	ds,bx
	mov	bx,0eh		;ds:bx = ffff:e
	mov	al,[bx]		;get value to al
	pop	bx
	pop	ds
	xor	ah,ah
	cproce
	endps
	end
