		page	58,132
;
; peeks.asm
; contains: peekw(),gpeekb(),pokew(),gpokeb()
;

		include	model.h
		include	prologue.h
		name	peeks
		pseg	peeks

;;	DESCRIPTION:
;	  Functions to examine/modify memory
;
;	  Copyright (C)1987-1990 Greenleaf Software Inc. All Rights Reserved.
;
;	MODIFICATIONS:
;	  "" Wed 11-Jan-1989 10:53:53
;	    Renamed peekb() & pokeb() to gpeekb() and gpokeb() to avoid
;	    collisions with compiler library.
;;;

;==>--	unsigned peekw(segment,offset)
;	unsigned segment,offset;	/* Address to examine */
;
;	Returns WORD at segment:offset
;
	cproc	peekw
	push	ds
	mov	ds,@ab[bp]	;segment
	mov	si,@ab+2[bp]	;offset
	mov	ax,[si]		;get result
	pop	ds
	cproce	peekw

;==>--	unsigned gpeekb(segment,offset)
;	unsigned segment,offset;	/* Address to examine */
;
;	Returns BYTE at segment:offset
;
	cproc	gpeekb
	push	ds
	mov	ds,@ab[bp]	;segment
	mov	si,@ab+2[bp]	;offset
	mov	al,[si]		;get result
	xor	ah,ah
	pop	ds
	cproce	gpeekb

;==>--	void pokew(segment,offset,value)
;	unsigned segment,offset;	/* Address to modify */
;	unsigned value;			/* Value to store at segment:offset */
;
;	Stores WORD value at segment:offset
;
	cproc	pokew
	push	ds
	mov	ds,@ab[bp]	;segment
	mov	si,@ab+2[bp]	;offset
	mov	ax,@ab+4[bp]	;value
	mov	[si],ax
	pop	ds
	cproce	pokew

;==>--	void gpokeb(segment,offset,value)
;	unsigned segment,offset;	/* Address to modify */
;	unsigned value;			/* Value to store at segment:offset */
;
;	Stores BYTE value at segment:offset
;
	cproc	gpokeb
	push	ds
	mov	ds,@ab[bp]	;segment
	mov	si,@ab+2[bp]	;offset
	mov	ax,@ab+4[bp]	;get value
	mov	[si],al		;put lo byte
	pop	ds
	cproce	gpokeb
	endps
	end
