;/*
;** sethncnt.asm
;** contains: sethncnt()
;*/

SETHANDLECOUNT	equ	067h			;DOS: Set Handle Count Function
DOSCALL 	equ	021h			;DOS: Software Interrupt #

		include model.h
		include prologue.h

		pseg	pSetDosHandleCount

;/*
;**  int
;** sethncnt(int count)
;**
;** ARGUMENT(s)
;**	count		-	Number of open handles allowed
;**
;** DESCRIPTION
;**  Permits more than 20 open files per process (DOS 3.30)
;**
;**
;** RETURNS
;**  0 if successful, else DOS error code.
;**
;** AUTHOR
;**  ""   Wed 16-Nov-1988	10:40:42
;**   Copyright (C)1988-1990 Greenleaf Software Inc. All Rights Reserved.
;**
;** MODIFICATIONS
;**  RJC Mon 03-July-1989 
;**   Changed to call correct DOS function.
;*/
		cproc	sethncnt
		mov	ah,SETHANDLECOUNT       ;Error Correction
		mov	bx,parm1_		;BX = count
		int	DOSCALL
		jc	setdoshandexit		;if error leave with it
		xor	ax,ax			;else say no error
setdoshandexit:
		cproce

		endps
		end
