/*
 * strplsrt.c
 * contains: strplsrt()
 *
 */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "gfuncts.h"

/*
 *  int
 * strplsrt(ptr)
 *
 * ARGUMENT
 *  (char *[])	ptr	-	pointer array
 *
 * DESCRIPTION
 *  Sort String pointer list - ascending alphanumeric sort of pointers
 *
 * RETURNS
 *  Number of pointers sorted.
 *
 * AUTHOR
 *   Copyright (C)1987-1990 Greenleaf Software Inc. All Rights Reserved.
 */
int GF_CONV strplsrt(ptr)
char *ptr[];
{
	int num;

	num=strplsz(ptr)-strplrm(ptr);
	qsort((char *)ptr,num,sizeof(char *),_strcmp );
	return num;
}

int GF_CDECL _strcmp(a,b)
char **a,**b;
{
	return strcmp( *a,*b );
}
