/*
 * vmode.c
 * contains: vmode()
 *
 */

#include <stdio.h>
#include "gfuncts.h"

/*
 *  void
 * vmode(mode)
 *
 * ARGUMENT
 *  (int)	mode		-	new video mode to set
 *
 * DESCRIPTION
 *  sets new video mode via rom-bios.  Also updates the global variables
 *  gmaxcol,gmaxrow.
 *
 * AUTHOR
 *  ""   09-APR-1987  15:28:31.30
 *   Copyright (C)1987-1990 Greenleaf Software Inc. All Rights Reserved.
 */
void GF_CONV vmode(mode)
int mode;
{
	unsigned colrow;
	
	colrow=_vmode(mode);
	gmaxrow=(int)(colrow&0x00ff);
	gmaxcol=(int)((colrow>>8)&0x00ff);
	_gvmtrp=1;
	return;
}
