/*
 * atsay.c
 * contains: atsay()
 *
 */

#include <stdio.h>
#include "gfuncts.h"

/*
 *  void
 * atsay(line,column,string)
 *
 * ARGUMENT
 *  (int)  	line	=	line to move cursor to
 *  (int)  	column	= 	column to move cursor to
 *  (char *) 	string  =	string to display at new cursor position
 *
 * DESCRIPTION
 *  The cursor is positioned at the specified line and column on video
 *  page 0.  The specified string is then printed beginning at the
 *  new cursor position.
 *
 * AUTHOR
 *   Copyright (C)1987-1990 Greenleaf Software Inc. All Rights Reserved.
 */
void GF_CONV atsay(line,column,string)
int line,column;
char *string;
{
	curset(line,column,0);
	prints(string);
}
