/*
 * fcwrts.c
 * contains: fcwrts()
 *
 */

#include <stdio.h>
#include <string.h>
#include "gfuncts.h"


/*
 *  void
 * fcwrts(int cols,char *string)
 *
 * ARGUMENT
 *  cols	-	Number of columns to center on.
 *  string	-	String to be centered.
 *
 * DESCRIPTION
 *  The string is centered on a width which is the lesser of "cols" or the
 *  global variable gmaxcol on the current row.
 *
 * RETURNS
 *  void
 *
 * AUTHOR
 *  ""   20-DEC-1988  10:17:59.92
 *   Copyright (C)1988-1990 Greenleaf Software Inc.  All Rights Reserved.
 *
 * MODIFICATIONS
 *
 *
 */
void GF_CONV fcwrts(cols,string)
int cols;
char *string;
{
	
	int icols;
	
	icols=xmin(cols,gmaxcol);
	if(icols<=1)
		return;
	fatwstr((getcur(0)>>8)&0x00ff,(icols/2)-(strlen(string)/2),string);
}

