/*
 * fexist.c
 * contains: fexist()
 *
 */

#include <stdio.h>
#include "gfuncts.h"

/*
 *  bool
 * fexist(name)
 *
 * ARGUMENT
 *  (char *)	name	-	file name to check.
 *
 * DESCRIPTION
 *  See if a file exists using dosfirst() to search for the file.
 *
 * RETURNS
 *  TRUE if file exists, else FALSE
 *
 * AUTHOR
 *   Copyright (C)1987-1990 Greenleaf Software Inc. All Rights Reserved.
 */
bool GF_CONV fexist(name)
char *name;
{
	char dest[40];

	return((dosfirst(name,0,dest)==0)?TRUE:FALSE);
}
