/*
 * fjarwrts.c
 * contains: fjarwrts()
 *
 */

#include <stdio.h>
#include "gfuncts.h"


/*
 *  void
 * fjarwrts(int row,int col,int cols,int attr,char *string)
 *
 * ARGUMENT
 *  row 	-	Starting row for output.
 *  col 	-	Starting column for output.
 *  cols	-	Number of columns to center on.
 *  attr	-	Physical attribute to be used.
 *  string	-	String to be centered.
 *
 * DESCRIPTION
 *  The string is justified on a width cols and displayed at row/col
 *  using the attribute supplied in the attr parameter.
 *
 * RETURNS
 *  void
 *
 * AUTHOR
 *  "" Tue 20-Dec-1988 14:40:32
 *   Copyright (C)1988-1990 Greenleaf Software Inc. All Rigths Reserved.
 *
 * MODIFICATIONS
 *
 *
 */
void GF_CONV fjarwrts(row,col,cols,attr,string)
int row,col,cols,attr;
char *string;
{
	if(justify(_gfspbuf,string,cols))
		fratwstr(row,col,attr,_gfspbuf);
}
