/*
 * fratwrtf.c
 * contains: fratwrtf()
 *
 */

#include <stdio.h>
#include "gfuncts.h"


/*
 *  void
 * fratwrtf(int row,int col,int attribute,char *fmt,?arg)
 *
 * ARGUMENT
 *  row		-	row to begin writing on
 *  col		-	column to begin writing on
 *  attribute  	-	physical video attribute to use
 *  fmt		-	format string
 *  arg		-	variable argument list
 *
 * DESCRIPTION
 *  Write formated and attribute at specified cursor.
 *
 * RETURNS
 *  void
 *
 * AUTHOR
 *  ""   20-DEC-1988  10:06:54.11
 *   Copyright (C)1988-1990 Greenleaf Software Inc. All Rights Reserved.
 *
 * MODIFICATIONS
 *
 *
 */

#ifndef	_MSC
void GF_CDECL fratwrtf(row,col,attr,fmt)
#else
void GF_CDECL fratwrtf(row,col,attr,fmt,...)
#endif
char *fmt;
int attr,row,col;
{
	char **value;
	value=&fmt;
	sprintf(_gfspbuf,fmt,
		value[1],value[2],value[3],value[4],value[5],value[6],
		value[7],value[8],value[9],value[10]
#ifndef _LDATA
		,value[11],value[12],value[13],value[14],value[15],value[16],
		value[17],value[18],value[19],value[20]
#endif
	);
	fratwstr(row,col,attr,_gfspbuf);
}

