/*
** prbuff.c
** contains: PrBufF()
*/

#include <stdio.h>
#include "gf.h"
#include "parint.h"


static char _gfspfbu[258];


/*
**  unsigned 
** PrBufF(PARINT *p,int option,char *fmt,arg)
**
** ARGUMENT(s)
**	p	-	points to PARINT structure.
**	option	-	1==send CR/LF sequence to printer after
**			   string.
**			0==send nothing after string.
**	string	-	points to format string for sprintf().
**	arg	-	optional parameters fro sprintf()
**
** DESCRIPTION
**  Does a sprintf() on the format string, passing the optional parameters
**  (arg).  The resulting string is then transferred to the printer buffer.
**  Will optionally add a CR/LF sequence to the end of the string.  If
**  there is not enough room in the buffer to hold all characters in string
**  this function will return.	Look at the return code to determine how many
**  characters were actually put in the buffer.
**
** RETURNS
**  Number of characters sent to the printer buffer.
**
** AUTHOR
**  "" Fri 18-Nov-1988 11:49:56
**   Copyright (C)1988-1990 Greenleaf Software Inc. All Rights Reserved.
**
** MODIFICATIONS
**
*/

#ifndef _MSC
unsigned GF_CDECL PrBufF(p,option,fmt)
#else
unsigned GF_CDECL PrBufF(p,option,fmt,...)
#endif

PARINT *p;
int option;
char *fmt;
{

	char **value;
	value=&fmt;
	sprintf(_gfspfbu,fmt,
		value[1],value[2],value[3],value[4],value[5],value[6],
		value[7],value[8],value[9],value[10]
#ifndef _LDATA
		,value[11],value[12],value[13],value[14],value[15],value[16],
		value[17],value[18],value[19],value[20]
#endif
	);

	return(PrBufS(p,option,_gfspfbu));
}
