/*
 * ratsay.c
 * contains: ratsay()
 *
 */

#include <stdio.h>
#include "gfuncts.h"

/*
 *  void
 * ratsay(row,column,color,page,str)
 *
 * ARGUMENT
 *  (int)	row	-	row # to display on
 *  (int)	column	-	column # to display on
 *  (int)	color	-	color to use
 *  (int)	page	-	video page to use
 *  (char *)	str	-	string to display
 *
 * DESCRIPTION
 *  At (row,column) print (string) in color, uses video mode 1 or 3,
 *  mode must be selected externally.
 *
 * AUTHOR
 *   Copyright (C)1987-1990 Greenleaf Software Inc. All Rights Reserved.
 */
void GF_CONV ratsay(row,column,color,page,str)
int row,column,color,page;
char *str;
{
	curset(row,column,page);
	while (*str)
		putcinc(*str++,color,page);
}
