		page	58,132

; tinyfns1.asm
; contains: getds(),getes(),getflags(),getcarry()
;

		include	model.h
		include	prologue.h

		name	tinyfns1

;;	AUTHOR:
;	  Copyright (C)1987-1990 Greenleaf Software Inc. All Rights Reserved.
;
;;	MODIFICATIONS:
;
;;;
		pseg tinyfns1

		ifndef	DATALIGHT

;==>--	unsigned getds()
;
;  Returns current content of DS register.
;
	cproc	getds,,,,,<LRA>
	mov	ax,ds
	cproce
		endif	

;==>--	unsigned getes()
;
;  Returns current content of ES register
;
	cproc	getes,,,,,<LRA>
	mov	ax,es
	cproce

;==>--	unsigned getflags()
;
;  Returns current FLAG register
;
	cproc	getflags,,,,,<LRA>
	lahf			; flags to AH
	mov	al,ah		; to AL
	xor	ah,ah		;      and clear AH
	cproce

;==>--	bool getcarry()
;
;  Returns TRUE (1) if Carry Flag set, else FALSE (0)
;
	cproc	getcarry,,,,,<LRA>
	mov	ax,0		;assume carry not set
	jnc	gc2
	inc	ax
gc2:
	cproce

	endps
	end
